`lqr_carver_get_channels`
Prev | Carver objects | Next

## Name

lqr_carver_get_channels, lqr_carver_get_bpp — get the number of channels in a `LqrCarver` object

## Synopsis

    #include <lqr.h>

`gint lqr_carver_get_channels(` | LqrCarver* carver`)`;

`gint lqr_carver_get_bpp(` | LqrCarver* carver`)`;

## Description

The functions `lqr_carver_get_channels` returns the number of colour channels of the image contained in the `LqrCarver` object pointed to by `carver`.

The function `lqr_carver_get_bpp` is an alias for `lqr_carver_get_channels`, it is deprecated and it is maintained for backward compatibility purposes only.

## See also

`lqr_carver_get_width`(3), `lqr_carver_get_height`(3), `lqr_carver_get_ref_width`(3), `lqr_carver_get_ref_height`(3), `lqr_carver_get_col_depth`(3), `lqr_carver_get_enl_step`(3), `lqr_carver_get_orientation`(3)

Prev | Up | Next
`lqr_carver_get_ref_height` | Home | `lqr_carver_get_col_depth`